
' ~~~~~~~~
' ELEMENTS
' ~~~~~~~~

const caze_vide=00
const pion_blan=01
const pion_noir=02
const cava_blan=03
const cava_noir=04
const evek_blan=05
const evek_noir=06
const tour_blan=07
const tour_noir=08
const dame_blan=09
const dame_noir=10
const sire_blan=11
const sire_noir=12

const pion=1
const cava=2
const evek=3
const tour=4
const dame=5
const sire=6
const blan=1
const noir=2

dim shared as byte nature(12)

nature(pion_blan)=pion
nature(pion_noir)=pion
nature(cava_blan)=cava
nature(cava_noir)=cava
nature(evek_blan)=evek
nature(evek_noir)=evek
nature(tour_blan)=tour
nature(tour_noir)=tour
nature(dame_blan)=dame
nature(dame_noir)=dame
nature(sire_blan)=sire
nature(sire_noir)=sire

dim shared as byte teint(12)

teint(pion_blan)=blan
teint(pion_noir)=noir
teint(cava_blan)=blan
teint(cava_noir)=noir
teint(evek_blan)=blan
teint(evek_noir)=noir
teint(tour_blan)=blan
teint(tour_noir)=noir
teint(dame_blan)=blan
teint(dame_noir)=noir
teint(sire_blan)=blan
teint(sire_noir)=noir

dim shared as byte col(63), lig(63)

dim i as byte
for i=0 to 63
    lig(i)=fix(i/8)
	col(i)=i-8*lig(i)
next i

dim shared as byte teinte(63)

dim j as byte
for i=0 to 63
	j=col(i)+lig(i)
	if j/2=fix(j/2) then teinte(i)=blan else teinte(i)=noir
next i

dim shared as string nom(63)

for i=0 to 63
   nom(i)=chr(col(i)+97)+chr(56-lig(i))
next i

dim shared as byte occupant(63)


data  8,  4,  6, 10, 12,  6,  4,  8

data  2,  2,  2,  2,  2,  2,  2,  2

data  0,  0,  0,  0,  0,  0,  0,  0

data  0,  0,  0,  0,  0,  0,  0,  0

data  0,  0,  0,  0,  0,  0,  0,  0

data  0,  0,  0,  0,  0,  0,  0,  0

data  1,  1,  1,  1,  1,  1,  1,  1

data  7,  3,  5,  9, 11,  5,  3,  7


dim shared as byte compteur, trait
dim shared as byte passant, ROCa(3)
dim shared as byte eschec, ROCb(3)
dim shared as byte pat, mat, ter

const edit_1="eschec au roi"
const edit_2="partie remise"
const edit_3="eschec et mat"

dim shared as byte fictif(63), auto_eschec, nouvel(63)
dim shared as byte occupant_0(63), occupant_1(), occupant_2()
dim shared as byte passant_0, passant_1(), passant_2()
dim shared as byte ROCa_0(3), ROCa_1(), ROCa_2()
dim shared as byte eschec_0, eschec_1(), eschec_2()
dim shared as byte ROCb_0(3), ROCb_1(), ROCb_2()
dim shared as string pile, position, position_0, position_1(), position_2()
dim shared as string pss, pss_0, pss_1(), pss_2()
dim shared as byte n_pss, n_pss_0, n_pss_1(), pgn_pss_1
dim shared as string cn_blan, cn_noir
dim shared as byte nb_cn_blan(63), nb_cn_noir(63),  diff_cn(63)
dim shared as string liste_cps
dim shared as single note()

const c1=rgb(199, 199, 199)
const c2=rgb(000, 000, 063)
const c3=rgb(151, 000, 000)
const c4=rgb(191, 191, 191)
const c5=rgb(123, 123, 123)
const c6=rgb(130, 148, 189)
const c7=rgb(255, 212, 001)
const c8=rgb(243, 098, 000)

dim shared as integer x1, x2, y1, y2, defaut, x, y, boutons
dim shared as byte mode_jeu=0, mode_envers=0, mode_dernier=1, mode_livre=0
dim shared as byte numero_f, grain (1 to 26, 1 to 1600)
dim shared as string touche, pss_piece(63)
dim shared as byte passant_pris, roque
dim shared as byte nouvelle_partie, coup_invalide, erreur_book, retro
dim shared as string c09, c27, c09a
dim shared as byte  nc5, nc6, nc7, nc8, nc9
dim shared as byte court_circuit